

#ifndef SOPFORK_H
#define SOPFORK_H

#include <q3hbox.h>
class MyStatusBar;
class Q3Process;
class QSocketNotifier;
class TabWidget;

class SopFork:public Q3HBox
{
   Q_OBJECT			/// 
 public:
   SopFork (TabWidget * tw = 0, QWidget * parent = 0, const char *name = 0);
    ~SopFork ();
   bool forkSop (QString, QString, QString type = "wmv");
   void killSop ();
   char outport[8];
   QSocketNotifier *snstatus;
   QString channelurl;
   QString channelname;
   QString channeltype;
   Q3Process *sop;

 protected:
     MyStatusBar * statusbar;
   TabWidget *tabwidget;

 private:
   char inport[8];
   QTimer *echotimer;

   protected slots:		////
     virtual void parseStdout ();
   virtual void onSopExit ();

   private slots:		////
   void streamReady (int);
   void echo ();

};

#endif
