
#ifndef CHANNEL_H
#define CHANNEL_H

#include "header.h"
#include <q3listview.h>
//Added by qt3to4:
#include <QMouseEvent>
#include <Q3ValueList>
class PageChannel;
class MyLabel;
class QBuffer;
class Q3Process;
class Channel:public Q3ListView
{
  Q_OBJECT			///
public:
  Channel (QWidget * parent = 0, const char *name = 0, Qt::WFlags f = 0);
   ~Channel ();
  void toggleChannelSort ();
  void toggleNullChannel ();
  void switchChannelColor (int);
  int Max[N_COLUMNS];

    Q3ValueList < char >stateopen;
  void updateOpenState ();
protected:
  void mouseMoveEvent (QMouseEvent * e);

private:
//     bool fetchingchannel;
    PageChannel * pagechannel;
  QBuffer *bufchannel;
  MyLabel *popup;
  Q3Process *wget;

  private slots:		///
    //   void httpdone(bool error);
  void onRightButtonClicked (Q3ListViewItem *, const QPoint &, int);
  void onMouseMoved (Q3ListViewItem *);
  void onListItemClicked (Q3ListViewItem *);
  void wgetStdout ();
  void onWgetExit ();

  public slots:			////
//    void fetchchannel();
  void onButtonSearchClicked ();
  void onButtonExpandClicked ();
  void onButtonChannelToggled (bool);
};

#endif
