
#ifndef MENUBAR_H
#define MENUBAR_H

#include <qmenubar.h>
//Added by qt3to4:
#include <Q3PopupMenu>
class MyPopupMenu;
class MainWindow;
class Q3PopupMenu;
class Q3ListViewItem;

class MenuBar:public QMenuBar {
    Q_OBJECT			////
  public:			///
    MenuBar(QWidget * parent = 0, const char *name = 0);
    ~MenuBar();

    MainWindow *mainwindow;
    MyPopupMenu *bookmark;
    Q3PopupMenu *history;
    Q3PopupMenu *menu_config;
    Q3PopupMenu *submenu_color;
    int color_column;
    Q3PopupMenu *submenu_player;
    int player_column;

  private:

    public slots:		////
    void addToPopupMenu(Q3PopupMenu *, QString, QString, QString);

    private slots:		////
    void onconfigclicked();
    void onChooseHistory(int i);
    void onChooseBookmark(int i);
    void addToBookmark();
    void about();
    void onNullChannelToggled();
    void onChannelSortToggled();
    void onSwitchColor(int);
    void onSwitchPlayer(int);
    void clearHistory();

};

#endif
