/* 
*
* Copyright (C) 2007,2010 Wei Lian <lianwei3 at gmail.com>
*
* This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "header.h"
#include "mainwindow.h"
#include "menubar.h"
#include "channel.h"
#include "pageplay.h"
#include "tabwidget.h"
#include "mplayerfork.h"
#include "vlcfork.h"
//Added by qt3to4:

PagePlay::PagePlay (QWidget * parent, const char *name):
Q3VBox (parent, name),
tabwidget (static_cast < TabWidget * >(parent))
{

  frame = new QWidget (this);
  frame->setSizePolicy (QSizePolicy::Expanding, QSizePolicy::Expanding);
  frame->setAttribute (Qt::WA_PaintOnScreen);
  ////row
//   Q3HBox *hbox = new Q3HBox (this);

/*   QToolButton *buttonlaunch = new QToolButton (hbox);
   buttonlaunch->setTextLabel (tr ("Launch"));
   buttonlaunch->setAutoRaise (true);
   buttonlaunch->setUsesTextLabel (true);
//    buttonlaunch->setMaximumSize(buttonplayer->sizeHint());
   connect (buttonlaunch, SIGNAL (clicked ()), this,
	    SLOT (onButtonLaunchClicked ()));
*/

/*   buttonplayer = new QToolButton (hbox);
   buttonplayer->setTextLabel (tr ("Player"));
   buttonplayer->setAutoRaise (true);
   buttonplayer->setUsesTextLabel (true);
   buttonplayer->setToggleButton (TRUE);
//    buttonplayer->setMaximumSize(buttonplayer->sizeHint());
   connect (buttonplayer, SIGNAL (toggled (bool)), this,
	    SLOT (onButtonPlayerToggled (bool)));
*/
/*   buttonstop = new QToolButton (hbox);
   buttonstop->setTextLabel (tr ("Stop"));
   buttonstop->setAutoRaise (true);
   buttonstop->setUsesTextLabel (true);
//    buttonstop->setMaximumSize(buttonstop->sizeHint());
   connect (buttonstop, SIGNAL (clicked ()), this,
	    SLOT (onButtonStopClicked ()));
*/
/*   QToolButton *but = new QToolButton (hbox);
   but->setTextLabel (tr ("x"));
   but->setAutoRaise (true);
   but->setUsesTextLabel (true);
   but->setMaximumSize (but->sizeHint ());
   connect (but, SIGNAL (clicked ()), this, SLOT (removeTab ()));
*/

  ///row fork
  if (static_cast < MainWindow * >(qApp->mainWidget ())->menubar->player_column == VLC)
    vlcfork = new VlcFork (tabwidget, this);
  else
    mplayerfork = new MplayerFork (tabwidget, this);

}

/*
void
PagePlay::onButtonStopClicked ()
{
   fork->killSop ();
   fork->killPlayer ();
   flagStopSop = TRUE;
}*/
/*
void
PagePlay::onButtonPlayerToggled (bool t)
{
   if (t) {
      if (fork && fork->snstatus && fork->inst == NULL) {
	 if (fork->forkPlayer () == TRUE)
	    buttonplayer->setPaletteForegroundColor (Qt::blue);
	 else
	    fprintf (stderr, "failed to launch player!\n");
      }
   }
   else {
      fork->killPlayer ();
   }
}*/
/*
void
PagePlay::removeTab ()
{
   if (tabwidget->count () == 1)
      return;

   PagePlay *pageplay = static_cast < PagePlay * >(tabwidget->currentPage ());
   tabwidget->removePage (pageplay);
   delete pageplay;
}
*/
/*
void
PagePlay::onButtonLaunchClicked ()
{
   Q3ListViewItem *item =
      //static_cast < MainWindow * >(tabwidget->parentWidget())
      tabwidget->channel->currentItem ();
   if (!item) {
      return;
   }
   if (item->depth () != 1) {
      return;
   }

   fork->killSop ();
   fork->killPlayer ();
   if (fork->
       forkSop (item->text (URL_COLUMN), item->text (NAME_COLUMN),
		item->text (STREAM_COLUMN))
       == TRUE) {
      ///add to history
      static_cast < MainWindow * >(tabwidget->parentWidget ())
	 ->menubar->addToPopupMenu (static_cast < MainWindow * >
				    (tabwidget->parentWidget ())->
				    menubar->history,
				    item->text (URL_COLUMN),
				    item->text (NAME_COLUMN),
				    item->text (STREAM_COLUMN));
   }
   else
      fprintf (stderr, "failed to launch sp-sc!\n");
}*/
