/* 
*
* Copyright (C) 2007,2010 Wei Lian <lianwei3 at gmail.com>
*
* This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef TABBAR_H
#define TABBAR_H

#include <QTabBar>
//Added by qt3to4:
#include <QWheelEvent>

class TabBar:public QTabBar
{
   Q_OBJECT			///
 public:
 TabBar (QWidget * parent = 0):
   QTabBar (parent) {
   }

 protected:
   void wheelEvent (QWheelEvent * e)
   {
      int x = e->delta () <
	 0 ? currentIndex () + 1 : currentIndex () - 1;
      if (x >= 0 && x < count ())
	 setCurrentIndex (x);
   }
};

#endif
